Bug 170604 - dmraid fails to build, missing -lselinux
dmraid fails to build, missing -lselinux
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 08:12 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 09:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes this bug (410 bytes, patch)
2006-02-09 23:21 EST, John Morris
no flags Details | Diff

  None (edit)
Description Karsten Hopp 2005-10-13 08:12:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
gcc -c -I  -I. -I../include -I../lib -I/var/tmp/dmraid-1.0.0.rc8-FC4_5-buildroot/usr/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=nocona -O2 -DDMRAID_NATIVE_LOG -DHAVE_GETOPTLONG -fPIC -Wall -Wundef -Wcast-align -Wwrite-strings -Winline -Wshadow -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -DDMRAID_TEST -g -fno-omit-frame-pointer -DDEBUG -D_LARGEFILE64_SOURCE -O2 -DDMRAID_NATIVE_LOG -DHAVE_GETOPTLONG -fPIC -Wall -Wundef -Wcast-align -Wwrite-strings -Winline -Wshadow -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -DDMRAID_TEST -g -fno-omit-frame-pointer -DDEBUG -D_LARGEFILE64_SOURCE toollib.c -o toollib.o
gcc -o dmraid dmraid.o commands.o toollib.o  -static -L../lib \
      -L/var/tmp/dmraid-1.0.0.rc8-FC4_5-buildroot/lib -ldmraid -ldevmapper 
../lib/libdmraid.a(socket.o): In function `daemon_open':
daemon/socket.c:44: warning: Using 'gethostbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/lib/../lib64/libdevmapper.a(libdm-common.o): In function `set_selinux_context':
/usr/src/build/617232-x86_64/BUILD/device-mapper.1.01.05/lib/libdm-common.c:208: undefined reference to `is_selinux_enabled'
/usr/src/build/617232-x86_64/BUILD/device-mapper.1.01.05/lib/libdm-common.c:211: undefined reference to `matchpathcon'
/usr/src/build/617232-x86_64/BUILD/device-mapper.1.01.05/lib/libdm-common.c:219: undefined reference to `lsetfilecon'
/usr/src/build/617232-x86_64/BUILD/device-mapper.1.01.05/lib/libdm-common.c:225: undefined reference to `freecon'
/usr/src/build/617232-x86_64/BUILD/device-mapper.1.01.05/lib/libdm-common.c:221: undefined reference to `freecon'
collect2: ld returned 1 exit status
make[1]: *** [dmraid] Error 1

Version-Release number of selected component (if applicable):
dmraid-1.0.0.rc8-FC4_5

How reproducible:
Always

Steps to Reproduce:
1. try to build dmraid on a rawhide system
2.
3.
  

Additional info:
Comment 1 John Morris 2006-02-09 23:21:23 EST
Created attachment 124474 [details]
Fixes this bug
Comment 2 Milan Broz 2006-04-24 09:17:40 EDT
Fixed in build 1.0.0.rc9-FC5_5.

Note You need to log in before you can comment on or make changes to this bug.